using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace digioz
{
    public class Attachment
    {
        private int ciAttachID;
        private int ciPostID;
        private int ciPosterID;
        private string csPosterName;
        private string csFileName;
        private int ciFileSize;
        private int ciDownloadCount;
        private string csComment;
        private string csThumbnail;

        public Attachment()
        { }

        public int AttachID
        {
            get { return ciAttachID; }
            set { ciAttachID = value; }
        }

        public int PostID
        {
            get { return ciPostID; }
            set { ciPostID = value; }
        }

        public int PosterID
        {
            get { return ciPosterID; }
            set { ciPosterID = value; }
        }

        public string PosterName
        {
            get { return csPosterName; }
            set { csPosterName = value; }
        }

        public string FileName
        {
            get { return csFileName; }
            set { csFileName = value; }
        }

        public int FileSize
        {
            get { return ciFileSize; }
            set { ciFileSize = value; }
        }

        public int DownloadCount
        {
            get { return ciDownloadCount; }
            set { ciDownloadCount = value; }
        }

        public string Comment
        {
            get { return csComment; }
            set { csComment = value; }
        }

        public string Thumbnail
        {
            get { return csThumbnail; }
            set { csThumbnail = value; }
        }
    }

}
